Get Buró de Crédito authorizations
curl --request GET \
--url https://api.syntage.com/datasources/mx/buro-de-credito/authorizations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/buro-de-credito/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/datasources/mx/buro-de-credito/authorizations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/datasources/mx/buro-de-credito/authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/BuroDeCreditoAuthorization",
"@id": "/datasources/mx/buro-de-credito/authorizations",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "9bd4a640-9f41-4cd5-a158-20767b386ca0",
"rfc": "PRPU800101HM2",
"link": {
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Link",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"type": "company",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"credential": {
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"isFavorite": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"authorizedAt": "2024-01-31T00:00:00+00:00",
"authorizedUntil": "2027-01-31T00:00:00+00:00",
"validityYears": 3,
"nationality": "MX",
"birthdate": "1980-01-01",
"firstName": "UNO",
"firstLastName": "PRUEBA",
"secondLastName": "PROSPECTOR",
"address": "Jaime Balmes",
"city": "Cd de Mexico",
"municipality": "Miguel Hidalgo",
"state": "CMX",
"postalCode": "11510",
"neighborhood": "Los morales",
"country": "MX",
"createdAt": "2024-01-31T00:00:00+00:00",
"updatedAt": "2024-01-31T00:00:00+00:00",
"middleName": "DOS",
"exteriorNumber": "8",
"interiorNumber": "",
"email": "person@example.com",
"origin": "external",
"isValid": true,
"deletedAt": "2024-01-31T00:00:00+00:00"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Authorizations
Get Buró de Crédito authorizations
List Buró de Crédito authorizations for the organization
GET
/
datasources
/
mx
/
buro-de-credito
/
authorizations
Get Buró de Crédito authorizations
curl --request GET \
--url https://api.syntage.com/datasources/mx/buro-de-credito/authorizations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/buro-de-credito/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/datasources/mx/buro-de-credito/authorizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/datasources/mx/buro-de-credito/authorizations")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/datasources/mx/buro-de-credito/authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/BuroDeCreditoAuthorization",
"@id": "/datasources/mx/buro-de-credito/authorizations",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "9bd4a640-9f41-4cd5-a158-20767b386ca0",
"rfc": "PRPU800101HM2",
"link": {
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Link",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"type": "company",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"credential": {
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"isFavorite": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"authorizedAt": "2024-01-31T00:00:00+00:00",
"authorizedUntil": "2027-01-31T00:00:00+00:00",
"validityYears": 3,
"nationality": "MX",
"birthdate": "1980-01-01",
"firstName": "UNO",
"firstLastName": "PRUEBA",
"secondLastName": "PROSPECTOR",
"address": "Jaime Balmes",
"city": "Cd de Mexico",
"municipality": "Miguel Hidalgo",
"state": "CMX",
"postalCode": "11510",
"neighborhood": "Los morales",
"country": "MX",
"createdAt": "2024-01-31T00:00:00+00:00",
"updatedAt": "2024-01-31T00:00:00+00:00",
"middleName": "DOS",
"exteriorNumber": "8",
"interiorNumber": "",
"email": "person@example.com",
"origin": "external",
"isValid": true,
"deletedAt": "2024-01-31T00:00:00+00:00"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Response
Buró de Crédito Authorizations
Was this page helpful?